Opened 5 years ago

Last modified 4 years ago

#22984 closed enhancement

Upgrade normaliz to 3.5.1 and pynormaliz to 1.10 — at Version 8

Reported by: Matthias Köppe Owned by:
Priority: major Milestone: sage-8.3
Component: packages: optional Keywords: IMA-PolyGeom
Cc: Winfried Bruns, Thierry Monteil, Vincent Delecroix, Travis Scrimshaw, Jean-Philippe Labbé, Sebastian Gutsche Merged in:
Authors: Matthias Koeppe Reviewers:
Report Upstream: Completely fixed; Fix reported upstream Work issues:
Branch: u/mkoeppe/upgrade_normaliz_to_3_4_0_and_pynormaliz_to_1_7 (Commits, GitHub, GitLab) Commit: 5e7a45b55eb85040b4a4c84fc0c8bd6506fdbdad
Dependencies: Stopgaps:

Status badges

Change History (8)

comment:1 Changed 5 years ago by Matthias Köppe

Description: modified (diff)
Milestone: sage-8.0sage-8.1
Summary: Upgrade normaliz to 3.3.0 and pynormaliz to 1.7Upgrade normaliz to 3.4.0 and pynormaliz to 1.7

comment:2 Changed 5 years ago by Matthias Köppe

Branch: u/mkoeppe/upgrade_normaliz_to_3_4_0_and_pynormaliz_to_1_7

comment:3 Changed 5 years ago by Matthias Köppe

Cc: Thierry Monteil added
Commit: a6ccc4235fa65a26fd772ad963df01b9ece5633f
Description: modified (diff)
Summary: Upgrade normaliz to 3.4.0 and pynormaliz to 1.7Upgrade normaliz to 3.4.0 and pynormaliz to 1.7+

Tested on Mac OS X. Works well except for interrupting (may require newer pynormaliz...) and the doctest failures reported in #23586 (fixing broken pynormaliz doctests).


New commits:

be0b9d2Upgrade normaliz, pynormaliz
a6ccc42normaliz: Back out 22684_cone_reduce_memory_usage.patch

comment:4 Changed 5 years ago by Matthias Köppe

Description: modified (diff)

comment:5 Changed 5 years ago by Matthias Köppe

Authors: Matthias Koeppe

comment:6 Changed 5 years ago by git

Commit: a6ccc4235fa65a26fd772ad963df01b9ece5633f5e7a45b55eb85040b4a4c84fc0c8bd6506fdbdad

Branch pushed to git repo; I updated commit sha1. New commits:

5e7a45bUpdate PyNormaliz to 1.8

comment:7 Changed 5 years ago by Matthias Köppe

Description: modified (diff)
Summary: Upgrade normaliz to 3.4.0 and pynormaliz to 1.7+Upgrade normaliz to 3.4.0 and pynormaliz to 1.8

comment:8 Changed 5 years ago by Matthias Köppe

Description: modified (diff)
Milestone: sage-8.1sage-8.2
Summary: Upgrade normaliz to 3.4.0 and pynormaliz to 1.8Upgrade normaliz to 3.5.1 and pynormaliz to 1.10
Note: See TracTickets for help on using tickets.